<?php



class TblscormcmicustomMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcmicustomMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcmicustomPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcmicustomPeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcmicustom');
		$tMap->setClassname('Tblscormcmicustom');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('SCO_ID', 'ScoId', 'INTEGER', true, null);

		$tMap->addPrimaryKey('OBJ_ID', 'ObjId', 'INTEGER', true, null);

		$tMap->addPrimaryKey('USER_ID', 'UserId', 'INTEGER', true, null);

		$tMap->addPrimaryKey('LVALUE', 'Lvalue', 'VARCHAR', true, 64);

		$tMap->addColumn('RVALUE', 'Rvalue', 'VARCHAR', false, 255);

		$tMap->addColumn('C_TIMESTAMP', 'CTimestamp', 'TIMESTAMP', false, null);

	} 
} 